const express = require('express'); 
const multipart = require('connect-multiparty'); 
 
//导入路由处理器
const logHandler = require('./routes/log');
const ipHandler = require('./routes/ip');
const proxyHandler = require('./routes/proxy');
const qrRecHandler = require('./routes/qrRec');
const sendMailHandler = require('./routes/sendMail');

// 监听端口号
const listenePort = 1314;

// 实例化express
const app = express();

app.use(multipart());

// 建立路由映射关系
app.use('/log', logHandler);
app.use('/ip', ipHandler);
app.use('/proxy', proxyHandler);
app.use('/qr-rec', qrRecHandler);
app.use('/send-mail', sendMailHandler);

// 创建监听端口
app.listen(listenePort);

console.log(`server listening at port ${listenePort}`);