const express = require('express');
const router = express.Router();

const { setHeader, setJSONResponse } = require('../utils/res');
const sendMail = require('../utils/mail');

router.post('/', function(req, res, next) {
	const { receiver, subject, content } = req.body;
	setHeader(res, 'content-type', 'application/json;charset=utf-8');
	setHeader(res, 'Access-Control-Allow-Origin', '*');
	sendMail(receiver, subject, content)
		.then(info => {
			setJSONResponse(res, {
				ret: 0
			});
		})
		.catch(err => {
			setJSONResponse(res, {
				ret: -1
			});
		});
});

module.exports = router;