const mailer = require('nodemailer');

const config = require('../config/mailConfig');

const transport = mailer.createTransport({
	host: config.host,
    port: config.port,
    secure: config.secure || false, 
    auth: {
        user: config.user, 
        pass: config.pass 
    }
});

function sendMail(receiver, subject, content) {
	return new Promise((resolve, reject) => {
		const mailOptions = {
	        from: config.user,
	        to: receiver,
	        subject,
	        html: content // html body
	    };
	    transport.sendMail(mailOptions, (err, info) => {
	    	if (err) {
	    		reject();
	    	} else {
	    		resolve(info);
	    	}
	    });
	});
}

module.exports = sendMail;