const request = require('request');
const template = require('./template');

const CHA_API = 'http://ip.taobao.com/service/getIpInfo.php?ip=<%=ip%>';

function parseIp(ip) {
	return new Promise((resolve, reject) => {
		const api = template(CHA_API, {
			ip
		});
		request({
			url: api
		}, (err, response, body) => {
			if (err) {
				reject();
			} else {
				try {
					const ret = JSON.parse(body);
					if (ret.code === 0 && ret.data) {
						resolve(ret.data);
					} else {
						reject();
					}
				} catch (err) {
					console.log(err);
					reject();
				};
			}
		});
	});
}

module.exports = parseIp;